Bug 586595 - New Launch Problem
Summary: New Launch Problem
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 23:26 UTC by David Le Sage
Modified: 2011-03-26 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-26 15:39:02 UTC
Type: ---


Attachments (Terms of Use)

Description David Le Sage 2010-04-27 23:26:08 UTC
Description of problem:
Encountered a new bug when trying to launch gnome-shell from a terminal on a freshly-rebooted Fedora 13 this morning.

Version-Release number of selected component (if applicable):
gnome-shell 2.29.1-4

How reproducible:


Steps to Reproduce:
1. gnome-shell --replace
  
Actual results:
[dlesage@localhost Desktop]$ gnome-shell --replace
      JS LOG: GNOME Shell started at Wed Apr 28 2010 09:21:56 GMT+1000 (EST)

(mutter:2629): Clutter-WARNING **: The actor 'ClutterText' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'BigBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'ClutterGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'BigBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'ClutterGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'BigBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'ClutterGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'ClutterGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Clutter-WARNING **: The actor 'ClutterGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

(mutter:2629): Cogl-glx-WARNING **: ./cogl-framebuffer.c:421: Failed to create an OpenGL framebuffer

** (ck-history:2638): WARNING **: Unable to parse session changed event: seat-id='Seat1' session-id='Sess1272410216.016 type=SYSTEM_START : kernel-release='2.6.33.2-57.fc13.i686.PAE' boot-arguments='ro root=/dev/mapper/VolGroup-lv_root rhgb quiet SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us'

    JS ERROR: !!!   Exception was: TypeError: app is null
    JS ERROR: !!!     lineNumber = '362'
    JS ERROR: !!!     fileName = '/usr/share/gnome-shell/js/ui/notificationDaemon.js'
    JS ERROR: !!!     message = 'app is null'
    JS ERROR: !!!     stack = '(null)@/usr/share/gnome-shell/js/ui/notificationDaemon.js:362
(2040,null)@/usr/share/gnome-shell/js/ui/notificationDaemon.js:193
Error("Chained exception")@:0
("Chained exception")@gjs_throw:0
'



Expected results:
gnome-shell should launch.

Additional info:
It was taking a long time to log into GNOME after rebooting before I ran this command.  Having killed the GNOME Shell, top is now indicating that the "old" GNOME Panel is chewing up a lot of CPU resources.

Comment 1 Owen Taylor 2011-03-26 15:39:02 UTC
Not sure what this was, but unlikely to still be relevant. (Most likely a problem with the graphics stack given the 'unable to create Cogl framebuffer' messages)


Note You need to log in before you can comment on or make changes to this bug.